org.postgis.jts

## Class JtsBinaryParser

- java.lang.Object
- - org.postgis.jts.JtsBinaryParser

    public class JtsBinaryParser
    extends Object

Parse binary representation of geometries. Currently, only text rep (hexed) implementation is tested. It should be easy to add char[] and CharSequence ByteGetter instances, although the latter one is not compatible with older jdks. I did not implement real unsigned 32-bit integers or emulate them with long, as both java Arrays and Strings currently can have only 2^31-1 elements (bytes), so we cannot even get or build Geometries with more than approx. 2^28 coordinates (8 bytes each).

Author:
  Markus Schaber, markus.schaber@logix-tt.com

### Constructor Summary

Constructors
Constructor and Description
`JtsBinaryParser()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`com.vividsolutions.jts.geom.Geometry` `parse(byte[] value)` Parse a binary encoded geometry.
`com.vividsolutions.jts.geom.Geometry` `parse(String value)` Parse a hex encoded geometry
`protected com.vividsolutions.jts.geom.Geometry` `parseGeometry(ValueGetter data)` Parse a geometry starting at offset.
`protected com.vividsolutions.jts.geom.Geometry` `parseGeometry(ValueGetter data, int srid, boolean inheritSrid)` Parse with a known geometry factory
`static ValueGetter` `valueGetterForEndian(ByteGetter bytes)` Get the appropriate ValueGetter for my endianness

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JtsBinaryParser

    public JtsBinaryParser()

### Method Detail

#### valueGetterForEndian

    public static ValueGetter valueGetterForEndian(ByteGetter bytes)

Get the appropriate ValueGetter for my endianness

Parameters:
  `bytes` - The appropriate Byte Getter
Returns:
  the ValueGetter

#### parse

    public com.vividsolutions.jts.geom.Geometry parse(String value)

Parse a hex encoded geometry

#### parse

    public com.vividsolutions.jts.geom.Geometry parse(byte[] value)

Parse a binary encoded geometry.

#### parseGeometry

    protected com.vividsolutions.jts.geom.Geometry parseGeometry(ValueGetter data)

Parse a geometry starting at offset.

#### parseGeometry

    protected com.vividsolutions.jts.geom.Geometry parseGeometry(ValueGetter data,
                                                                 int srid,
                                                                 boolean inheritSrid)

Parse with a known geometry factory